/* Utilisation de types agrégés définis          */
/* dans une bibliothèque                         */

public class TestBibliotheque1EnConsole {

  public static void main(String [] args) {
    Console.setTitle("TestBibliotheque1");
    /* Utilisation du type Pos2D                 */
    /* de la bibliotheque Bibliotheque1          */
    Console.afficherln("Une position 2D");
    Bibliotheque1.Pos2D p = new Bibliotheque1.Pos2D();
    Console.afficherln(p.x," ",p.y);
    Console.sautDeLigne();
    /* Utilisation du type Dir2D                 */
    /* de la bibliotheque Bibliotheque1          */
    Console.afficherln("Une direction 2D");
    Bibliotheque1.Dir2D d = new Bibliotheque1.Dir2D();
    Console.afficherln(d.dx," ",d.dy);
  }
}